Bug 2603 - [UPDATE REQUEST] [UPSTREAM UPDATE] glibc
: [UPDATE REQUEST] [UPSTREAM UPDATE] glibc
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 15:22 MSD by Andrew Lukoshko
Modified: 2013-10-23 13:36 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-28 15:22:09 MSD
RELS 6.4

The C library security framework was unable to handle dynamically loaded
character conversion routines when loaded at specific virtual addresses. This
resulted in an unexpected termination with a segmentation fault when trying to
use the dynamically loaded character conversion routine. This update enhances
the C library security framework to handle dynamically loaded character
conversion routines at any virtual memory address, and crashes no longer occur
in the described scenario.

http://rhn.redhat.com/errata/RHBA-2013-1179.html

https://abf.rosalinux.ru/build_lists/1222329
https://abf.rosalinux.ru/build_lists/1222330
Comment 1 Vladimir Potapov 2013-08-30 17:30:07 MSD
Error 500
Comment 2 Vladimir Potapov 2013-08-31 08:08:23 MSD
glibc-2.12-1.107.res6.4
********************** RHEL Advisory **********************
The C library security framework was unable to handle dynamically loaded
character conversion routines when loaded at specific virtual addresses. This
resulted in an unexpected termination with a segmentation fault when trying to
use the dynamically loaded character conversion routine. This update enhances
the C library security framework to handle dynamically loaded character
conversion routines at any virtual memory address, and crashes no longer occur
in the described scenario.
************************************************************
QA Verified